import React from 'react';
import { Context } from '../form/context';
import { TaroFormItemProps } from "../../types";
export declare class FormItem extends React.Component<Partial<TaroFormItemProps>, {
    resetCount: number;
}> {
    static defaultProps: TaroFormItemProps;
    static contextType: any;
    context: React.ContextType<typeof Context>;
    private cancelRegister;
    private componentRef;
    private eventOff;
    constructor(props: TaroFormItemProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    getControlled: (children: React.ReactElement) => any;
    refresh: () => void;
    onStoreChange: (type?: string) => void;
    getClassNameWithDirection(className: string): string;
    renderLayout: (childNode: React.ReactNode) => React.JSX.Element;
    render(): React.JSX.Element;
}
